"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function handleErrors(err, req, res, next) {
    if (res.headersSent) {
        return next(err);
    }
    if (typeof err === 'number') {
        res.sendStatus(err);
    }
    else {
        req.context.log.error(err);
        res.sendStatus(500);
    }
}
exports.handleErrors = handleErrors;
