import { Application, Handler } from 'express';
interface Mappings {
    [endpoint: string]: {
        options?: Handler[];
        head?: Handler[];
        get?: Handler[];
        post?: Handler[];
        put?: Handler[];
        patch?: Handler[];
        delete?: Handler[];
    };
}
export declare function mapEndpoints(app: Application, mappings: Mappings): void;
export {};
