import { ClientConfig } from 'pg';
import { Log } from '../Log';
export interface SqlInstallerConfig {
    connection: ClientConfig;
    versionsTable: string;
}
export declare class SqlInstaller {
    private readonly config;
    private readonly versionsDir;
    private readonly log;
    private readonly verbose;
    private db;
    constructor(config: SqlInstallerConfig, versionsDir: string, log: Log);
    run(): Promise<boolean>;
    private connect;
    private getUpgrades;
    private doUpgrade;
    private runSqlFile;
    private runPostScript;
    private updateVersionLog;
}
